Initialise Certificate (Separate RA IDV Statement)

Sending initial information for offline hash (using public key).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

"signInfo"
"algorithm": "SHA256"

"vendorNumber": "string"

"smsType": integer, valid values: 1 - code, 2 - link, 3 - code & link

"user":
For Bulgarian users has to be provided "documentNumber" and at least one of the "identificationNumber" or the three names. If the "identificationNumber" is provided, a check in the national register will be performed.
For Macedonian users has to be provided "documentNumber", "identificationNumber", "firstName" and "lastName".
For users from other countries has to be provided "documentNumber", "firstName" and "lastName". Parameters "identificationNumber" and "middleName" are not used.
"country": Valid values are the ISO 3166-1 alpha-2 codes. Default value is "BG".
"identificationNumber": It’s used only if the country is "BG".
"documentNumber": Required parameter.
"firstName": Allowed characters "[A-Za-z' -]"
"middleName": It’s used only if the country is "BG". Allowed characters "[A-Za-z' -]"
"lastName": Allowed characters "[A-Za-z' -]"
"phone": Should match the following pattern "+[0-9]"
"email": Optional parameter. If provided the certificate and signed documents will be sent to it.
"language": Optional parameter. Valid values are "bg", "en", "de", "hu", "sq", "ro", "fr", "it", "mk".
"documentType": Optional parameter. Valid values are "IDcard", "Passport". Default value is "IDcard".

"publicKey": base64 encoded string of public key, necessary for encryption process

"urlCallback": Optional parameter. Only https:// is allowed. It has to be sent a host name if Evrotrust Vendor callback API is used.


Body Params
signedfile
object
required

File bytes

json

JSON string with structure
{
"user": {
"country": "string",
"identificationNumber": "string",
"documentNumber": "string", "firstName": "string",
"middleName": "string",
"lastName": "string",
"phone": "string",
"email": "string",
"language": "string",
"documentType": "string"
},
"document": {
"description": "string",
"coverage": 0,
"certificateType": 0
},
"signInfo": {
"algorithm": "string"
},
"vendorNumber": "string",
"smsType": 0,
"publicKey": "string",
"urlCallback": "string"
}

Headers
string
required

Authorization value.

Responses
200

Document added success

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json